/*
 * if arrow operator always get instantiated
 * __SGI_STL_NO_ARROW_OPERATOR
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_NO_ARROW_OPERATOR
     template <class T> struct um_foo {
        T* ptr;
	    T* operator ->() { return &(operator*());}
	    T  operator *()  { return *ptr; }
     };

     template <class T>
	int operator == ( const um_foo<T>& x, const um_foo<T>& y)
	{
    		return *x == *y;
	}

     struct um_tag { int a ; };
     um_foo<um_tag> f;
     um_foo<int> a;

int test_no_arrow_operator()
{
  int b(5); a.ptr=&b;
  printf("#define __SGI_STL_NO_ARROW_OPERATOR\n");
  return 1;
}

#else

     template <class T> struct um_foo {
        T* ptr;
	   // T* operator ->() { return &(operator*());}
	    T  operator *()  { return *ptr; }
     };

     template <class T>
	int operator == ( const um_foo<T>& x, const um_foo<T>& y)
	{
    		return *x == *y;
	}

     struct um_tag { int a ; };
     um_foo<um_tag> f;
     um_foo<int> a;


int test_no_arrow_operator()
{
  int b(5); a.ptr=&b;
  printf("#undef __SGI_STL_NO_ARROW_OPERATOR // arrow operator always get instantiated\n");
  return 1;
}

#endif