/*
 * if explicit args accepted on constructors of explicitly specialized classes
 *
 * __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS

template <class Arg,class Result>
struct ps_foo {
    typedef Arg argument_type;
    typedef Result result_type;
    void bar() {}
};

template<class Result>
struct ps_foo<int*,int> {
	ps_foo<Result*,Result*>() {}
	void foo() {}
};

ps_foo<char*, char*> p;
ps_foo<int*, int> p1;

int test_partial_spec_needs_template_args()
{
  p.bar();
  p1.foo();
  printf("#undef __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS // check result of other test\n");
  return 1;
}

#else
int test_partial_spec_needs_template_args()
{
  printf("#define __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS // check result of other test\n");
  return 1;
}

#endif
