/*
 * if explicit args accepted on constructors of partial specialized classes
 *
 * __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS

template <class Arg,class Result>
struct ps_foo {
    typedef Arg argument_type;
    typedef Result result_type;
};

template<class Result>
struct ps_foo<Result*,Result*> {
	ps_foo<Result*,Result*>() {}
	void bar() {}
};

template<class Result>
struct ps_foo<int*,Result> {
	ps_foo<int*,Result*>() {}
	void bar() {}

};

ps_foo<char*, char*> p;
ps_foo<int*, int> p1;

int test_partial_spec_needs_template_args1()
{
  p.bar();
  p1.foo();
  printf("#undef __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS\n");
  return 1;
}

#else

int test_partial_spec_needs_template_args1()
{
  printf("#define __STL_PARTIAL_SPEC_NEEDS_TEMPLATE_ARGS\n");
  return 1;
}

#endif
