/*
 * for pointer-to-member parameter bug
 * __STL_MEMBER_POINTER_PARAM_BUG
 */
#include <stdio.h>
#include "test_config.h"

struct pmf_foo {
	int bar() { return 0; };
};

template <class Class, class Result>
class mem_fun_t {
protected:
    typedef Result (Class::*fun_type)(void);
    fun_type ptr;
public:
    mem_fun_t() {}
    mem_fun_t(fun_type p) : ptr(p) {}
    Result operator()(Class* x) const { return (x->*ptr)();}
};

template <class Class, class Result>
inline mem_fun_t <Class, Result>
mem_fun(Result (Class::*ptr)(void)) {
    return mem_fun_t<Class, Result>(ptr);
}

int test_member_ptr_param_bug()
{
  pmf_foo pmf; (void)mem_fun(&pmf_foo::bar)(&pmf);
  printf("#undef __STL_MEMBER_POINTER_PARAM_BUG\n");
  return 1;
}
