ORIGIN		= Symantec C++
ORIGIN_VER	= Version 7.22
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= console
APPTYPE		= WIN32 CONSOLE
PROJTYPE	= EXE

CC		= SC
CPP		= SPP
JAVAC		= sj
MAKE		= SMAKE
RC		= RCC
HC		= HC31
ASM		= SC
DISASM		= OBJ2ASM
LNK		= LINK
DLLS		= 

HEADERS		= ..\stlport\config\stl_symantec.h regression\unary.h regression\stl_test.h  \
		regression\stl.h regression\rand.h regression\rawiter.hpp regression\map1.hpp  \
		regression\fib.h regression\fadapter.h 

DEFFILE		= console.DEF

!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

SYMROOT		= 
SYMS		= 
LIBS		= KERNEL32.LIB GDI32.LIB USER32.LIB 

CFLAGS		=  -mn -C -WA -S -3 -a8 -c -gf 
LFLAGS		=  /CO /NOI /DE /NOPACKF /XN /NT /ENTRY:mainCRTStartup /BAS:4194304 /A:512
DEFINES		= -D_CONSOLE=1 -Ab -e -l
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

SYMROOT		= 
SYMS		= 
LIBS		= KERNEL32.LIB GDI32.LIB USER32.LIB 

CFLAGS		=  -mn -o+time -WA -3 -a8 -c 
LFLAGS		=  /NOI /DE /E /PACKF /XN /NT /ENTRY:mainCRTStartup /BAS:4194304 /A:512
DEFINES		= -D_CONSOLE=1
!ENDIF

HFLAGS		= $(CFLAGS) 
MFLAGS		= MASTERPROJ=$(PROJ) 
LIBFLAGS	=  /C 
RESFLAGS	=  -32 
DEBUGGERFLAGS	=  
AFLAGS		= $(CFLAGS) 
HELPFLAGS	= 

MODEL		= N

PAR		= PROJS BATS OBJS

RCDEFINES	= 

INCLUDES	= -Id:\sc\stltemp\STL\port\stlport

INCLUDEDOBJS	= 

OBJS		= console.OBJ regression\string1.OBJ regression\vec8.OBJ  \
		regression\accum2.OBJ regression\adjdiff0.OBJ regression\adjdiff1.OBJ regression\adjdiff2.OBJ  \
		regression\adjfind0.OBJ regression\adjfind1.OBJ regression\adjfind2.OBJ regression\advance.OBJ  \
		regression\alg1.OBJ regression\alg2.OBJ regression\alg3.OBJ regression\alg4.OBJ  \
		regression\alg5.OBJ regression\bcompos1.OBJ regression\bcompos2.OBJ regression\bind1st1.OBJ  \
		regression\bind1st2.OBJ regression\bind2nd1.OBJ regression\bind2nd2.OBJ regression\binsert1.OBJ  \
		regression\binsert2.OBJ regression\binsrch1.OBJ regression\binsrch2.OBJ regression\bitset1.OBJ  \
		regression\bnegate1.OBJ regression\bnegate2.OBJ regression\bvec1.OBJ regression\copy1.OBJ  \
		regression\copy2.OBJ regression\copy3.OBJ regression\copy4.OBJ regression\copyb.OBJ  \
		regression\copyb0.OBJ regression\count0.OBJ regression\count1.OBJ regression\countif1.OBJ  \
		regression\deque1.OBJ regression\divides.OBJ regression\eqlrnge0.OBJ regression\eqlrnge1.OBJ  \
		regression\eqlrnge2.OBJ regression\equal0.OBJ regression\equal1.OBJ regression\equal2.OBJ  \
		regression\equalto.OBJ regression\fill1.OBJ regression\filln1.OBJ regression\find0.OBJ  \
		regression\find1.OBJ regression\findif0.OBJ regression\findif1.OBJ regression\finsert1.OBJ  \
		regression\finsert2.OBJ regression\foreach0.OBJ regression\foreach1.OBJ regression\func1.OBJ  \
		regression\func2.OBJ regression\func3.OBJ regression\gener1.OBJ regression\gener2.OBJ  \
		regression\genern1.OBJ regression\genern2.OBJ regression\greateq.OBJ regression\greater.OBJ  \
		regression\incl0.OBJ regression\incl1.OBJ regression\incl2.OBJ regression\inplmrg1.OBJ  \
		regression\inplmrg2.OBJ regression\inrprod0.OBJ regression\inrprod1.OBJ regression\inrprod2.OBJ  \
		regression\insert1.OBJ regression\insert2.OBJ regression\iota1.OBJ regression\istmit1.OBJ  \
		regression\iter1.OBJ regression\iter2.OBJ regression\iter3.OBJ regression\iter4.OBJ  \
		regression\iterswp0.OBJ regression\iterswp1.OBJ regression\less.OBJ regression\lesseq.OBJ  \
		regression\lexcmp1.OBJ regression\lexcmp2.OBJ regression\list1.OBJ regression\list2.OBJ  \
		regression\list3.OBJ regression\list4.OBJ regression\logicand.OBJ regression\logicnot.OBJ  \
		regression\logicor.OBJ regression\lwrbnd1.OBJ regression\lwrbnd2.OBJ regression\map1.OBJ  \
		regression\max1.OBJ regression\max2.OBJ regression\maxelem1.OBJ regression\maxelem2.OBJ  \
		regression\merge0.OBJ regression\merge1.OBJ regression\merge2.OBJ regression\min1.OBJ  \
		regression\min2.OBJ regression\minelem1.OBJ regression\minelem2.OBJ regression\minus.OBJ  \
		regression\mismtch0.OBJ regression\mismtch1.OBJ regression\mismtch2.OBJ regression\mkheap0.OBJ  \
		regression\mkheap1.OBJ regression\mmap1.OBJ regression\mmap2.OBJ regression\modulus.OBJ  \
		regression\mset1.OBJ regression\mset3.OBJ regression\mset4.OBJ regression\mset5.OBJ  \
		regression\negate.OBJ regression\nequal.OBJ regression\nextprm0.OBJ regression\nextprm1.OBJ  \
		regression\nextprm2.OBJ regression\nthelem0.OBJ regression\nthelem1.OBJ regression\nthelem2.OBJ  \
		regression\ostmit.OBJ regression\pair0.OBJ regression\pair1.OBJ regression\pair2.OBJ  \
		regression\parsrt0.OBJ regression\parsrt1.OBJ regression\parsrt2.OBJ regression\parsrtc0.OBJ  \
		regression\parsrtc1.OBJ regression\parsrtc2.OBJ regression\partsrt0.OBJ regression\partsum0.OBJ  \
		regression\partsum1.OBJ regression\partsum2.OBJ regression\pheap1.OBJ regression\pheap2.OBJ  \
		regression\plus.OBJ regression\pqueue1.OBJ regression\prevprm0.OBJ regression\prevprm1.OBJ  \
		regression\prevprm2.OBJ regression\ptition0.OBJ regression\ptition1.OBJ regression\ptrbinf1.OBJ  \
		regression\ptrbinf2.OBJ regression\ptrunf1.OBJ regression\ptrunf2.OBJ regression\queue1.OBJ  \
		regression\rawiter.OBJ regression\remcopy1.OBJ regression\remcpif1.OBJ regression\remif1.OBJ  \
		regression\remove1.OBJ regression\repcpif1.OBJ regression\replace0.OBJ regression\replace1.OBJ  \
		regression\replcpy1.OBJ regression\replif1.OBJ regression\revbit1.OBJ regression\revbit2.OBJ  \
		regression\revcopy1.OBJ regression\reverse1.OBJ regression\reviter1.OBJ regression\reviter2.OBJ  \
		regression\rndshuf0.OBJ regression\rndshuf1.OBJ regression\rndshuf2.OBJ regression\rotate0.OBJ  \
		regression\rotate1.OBJ regression\rotcopy0.OBJ regression\rotcopy1.OBJ regression\search0.OBJ  \
		regression\search1.OBJ regression\search2.OBJ regression\set1.OBJ regression\set2.OBJ  \
		regression\setdiff0.OBJ regression\setdiff1.OBJ regression\setdiff2.OBJ regression\setintr0.OBJ  \
		regression\setintr1.OBJ regression\setintr2.OBJ regression\setsymd0.OBJ regression\setsymd1.OBJ  \
		regression\setsymd2.OBJ regression\setunon0.OBJ regression\setunon1.OBJ regression\setunon2.OBJ  \
		regression\slist1.OBJ regression\sort1.OBJ regression\sort2.OBJ regression\stack1.OBJ  \
		regression\stack2.OBJ regression\stat.OBJ regression\stblptn0.OBJ regression\stblptn1.OBJ  \
		regression\stblsrt1.OBJ regression\stblsrt2.OBJ regression\stl_test.OBJ regression\swap1.OBJ  \
		regression\swprnge1.OBJ regression\times.OBJ regression\trnsfrm1.OBJ regression\trnsfrm2.OBJ  \
		regression\ucompos1.OBJ regression\ucompos2.OBJ regression\unegate1.OBJ regression\unegate2.OBJ  \
		regression\uniqcpy1.OBJ regression\uniqcpy2.OBJ regression\unique1.OBJ regression\unique2.OBJ  \
		regression\uprbnd1.OBJ regression\uprbnd2.OBJ regression\vec1.OBJ regression\vec2.OBJ  \
		regression\vec3.OBJ regression\vec4.OBJ regression\vec5.OBJ regression\vec6.OBJ  \
		regression\vec7.OBJ regression\accum1.OBJ 

RCFILES		= 

RESFILES	= 

HELPFILES	= 

BATS		= 

.SUFFIXES: .C .CP .CPP .CXX .CC .H .HPP .HXX .COM .EXE .DLL .LIB .RTF .DLG .ASM .RES .RC .OBJ 

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CC.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cc

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hxx

.C.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)   $*.c   -o$*.lst

.CPP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cpp -o$*.lst

.CXX.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cxx -o$*.lst

.CP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cp  -o$*.lst

.CC.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cc  -o$*.lst

.ASM.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.asm -o$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ -c

!IF $(DEBUG)
.OBJ.EXE:
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ELSE
.OBJ.EXE:
		$(LNK) $(LFLAGS) @$(PROJ).LNK<<
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ENDIF

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.asm

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc -o$*.res

.DLG.RES:
	echo ^#include "windows.h" >$$$*.rc
	echo ^IF EXIST "$*.h" >>$$$*.rc
	echo ^#include "$*.h" >>$$$*.rc
	echo ^#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:	noteout createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done


all2:	createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done

noteout:
	REM Output to $(OUTPUTDIR)

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)
	
$(TARGETDIR)\$(PROJ).$(PROJTYPE): $(OBJS) $(INCLUDEDOBJS) $(RCFILES) $(RESFILES) $(HELPFILES) $(DEFFILE)
			-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
!IF $(DEBUG)
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ELSE
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ENDIF

			-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)
			-echo $(TARGETDIR)\$(PROJ).$(PROJTYPE) built

_done:
		REM  Project is up to date

buildall:	clean	all


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(PROJ).CLE
		-del $(OUTPUTDIR)\SCPH.SYM
		-del console.dpd
		-del $(OBJS)

cleanres:

res:		cleanres $(RCFILES) all


link:
!IF $(DEBUG)
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ELSE
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
console.OBJ+
regression\string1.OBJ+
regression\vec8.OBJ+
regression\accum2.OBJ+
regression\adjdiff0.OBJ+
regression\adjdiff1.OBJ+
regression\adjdiff2.OBJ+
regression\adjfind0.OBJ+
regression\adjfind1.OBJ+
regression\adjfind2.OBJ+
regression\advance.OBJ+
regression\alg1.OBJ+
regression\alg2.OBJ+
regression\alg3.OBJ+
regression\alg4.OBJ+
regression\alg5.OBJ+
regression\bcompos1.OBJ+
regression\bcompos2.OBJ+
regression\bind1st1.OBJ+
regression\bind1st2.OBJ+
regression\bind2nd1.OBJ+
regression\bind2nd2.OBJ+
regression\binsert1.OBJ+
regression\binsert2.OBJ+
regression\binsrch1.OBJ+
regression\binsrch2.OBJ+
regression\bitset1.OBJ+
regression\bnegate1.OBJ+
regression\bnegate2.OBJ+
regression\bvec1.OBJ+
regression\copy1.OBJ+
regression\copy2.OBJ+
regression\copy3.OBJ+
regression\copy4.OBJ+
regression\copyb.OBJ+
regression\copyb0.OBJ+
regression\count0.OBJ+
regression\count1.OBJ+
regression\countif1.OBJ+
regression\deque1.OBJ+
regression\divides.OBJ+
regression\eqlrnge0.OBJ+
regression\eqlrnge1.OBJ+
regression\eqlrnge2.OBJ+
regression\equal0.OBJ+
regression\equal1.OBJ+
regression\equal2.OBJ+
regression\equalto.OBJ+
regression\fill1.OBJ+
regression\filln1.OBJ+
regression\find0.OBJ+
regression\find1.OBJ+
regression\findif0.OBJ+
regression\findif1.OBJ+
regression\finsert1.OBJ+
regression\finsert2.OBJ+
regression\foreach0.OBJ+
regression\foreach1.OBJ+
regression\func1.OBJ+
regression\func2.OBJ+
regression\func3.OBJ+
regression\gener1.OBJ+
regression\gener2.OBJ+
regression\genern1.OBJ+
regression\genern2.OBJ+
regression\greateq.OBJ+
regression\greater.OBJ+
regression\incl0.OBJ+
regression\incl1.OBJ+
regression\incl2.OBJ+
regression\inplmrg1.OBJ+
regression\inplmrg2.OBJ+
regression\inrprod0.OBJ+
regression\inrprod1.OBJ+
regression\inrprod2.OBJ+
regression\insert1.OBJ+
regression\insert2.OBJ+
regression\iota1.OBJ+
regression\istmit1.OBJ+
regression\iter1.OBJ+
regression\iter2.OBJ+
regression\iter3.OBJ+
regression\iter4.OBJ+
regression\iterswp0.OBJ+
regression\iterswp1.OBJ+
regression\less.OBJ+
regression\lesseq.OBJ+
regression\lexcmp1.OBJ+
regression\lexcmp2.OBJ+
regression\list1.OBJ+
regression\list2.OBJ+
regression\list3.OBJ+
regression\list4.OBJ+
regression\logicand.OBJ+
regression\logicnot.OBJ+
regression\logicor.OBJ+
regression\lwrbnd1.OBJ+
regression\lwrbnd2.OBJ+
regression\map1.OBJ+
regression\max1.OBJ+
regression\max2.OBJ+
regression\maxelem1.OBJ+
regression\maxelem2.OBJ+
regression\merge0.OBJ+
regression\merge1.OBJ+
regression\merge2.OBJ+
regression\min1.OBJ+
regression\min2.OBJ+
regression\minelem1.OBJ+
regression\minelem2.OBJ+
regression\minus.OBJ+
regression\mismtch0.OBJ+
regression\mismtch1.OBJ+
regression\mismtch2.OBJ+
regression\mkheap0.OBJ+
regression\mkheap1.OBJ+
regression\mmap1.OBJ+
regression\mmap2.OBJ+
regression\modulus.OBJ+
regression\mset1.OBJ+
regression\mset3.OBJ+
regression\mset4.OBJ+
regression\mset5.OBJ+
regression\negate.OBJ+
regression\nequal.OBJ+
regression\nextprm0.OBJ+
regression\nextprm1.OBJ+
regression\nextprm2.OBJ+
regression\nthelem0.OBJ+
regression\nthelem1.OBJ+
regression\nthelem2.OBJ+
regression\ostmit.OBJ+
regression\pair0.OBJ+
regression\pair1.OBJ+
regression\pair2.OBJ+
regression\parsrt0.OBJ+
regression\parsrt1.OBJ+
regression\parsrt2.OBJ+
regression\parsrtc0.OBJ+
regression\parsrtc1.OBJ+
regression\parsrtc2.OBJ+
regression\partsrt0.OBJ+
regression\partsum0.OBJ+
regression\partsum1.OBJ+
regression\partsum2.OBJ+
regression\pheap1.OBJ+
regression\pheap2.OBJ+
regression\plus.OBJ+
regression\pqueue1.OBJ+
regression\prevprm0.OBJ+
regression\prevprm1.OBJ+
regression\prevprm2.OBJ+
regression\ptition0.OBJ+
regression\ptition1.OBJ+
regression\ptrbinf1.OBJ+
regression\ptrbinf2.OBJ+
regression\ptrunf1.OBJ+
regression\ptrunf2.OBJ+
regression\queue1.OBJ+
regression\rawiter.OBJ+
regression\remcopy1.OBJ+
regression\remcpif1.OBJ+
regression\remif1.OBJ+
regression\remove1.OBJ+
regression\repcpif1.OBJ+
regression\replace0.OBJ+
regression\replace1.OBJ+
regression\replcpy1.OBJ+
regression\replif1.OBJ+
regression\revbit1.OBJ+
regression\revbit2.OBJ+
regression\revcopy1.OBJ+
regression\reverse1.OBJ+
regression\reviter1.OBJ+
regression\reviter2.OBJ+
regression\rndshuf0.OBJ+
regression\rndshuf1.OBJ+
regression\rndshuf2.OBJ+
regression\rotate0.OBJ+
regression\rotate1.OBJ+
regression\rotcopy0.OBJ+
regression\rotcopy1.OBJ+
regression\search0.OBJ+
regression\search1.OBJ+
regression\search2.OBJ+
regression\set1.OBJ+
regression\set2.OBJ+
regression\setdiff0.OBJ+
regression\setdiff1.OBJ+
regression\setdiff2.OBJ+
regression\setintr0.OBJ+
regression\setintr1.OBJ+
regression\setintr2.OBJ+
regression\setsymd0.OBJ+
regression\setsymd1.OBJ+
regression\setsymd2.OBJ+
regression\setunon0.OBJ+
regression\setunon1.OBJ+
regression\setunon2.OBJ+
regression\slist1.OBJ+
regression\sort1.OBJ+
regression\sort2.OBJ+
regression\stack1.OBJ+
regression\stack2.OBJ+
regression\stat.OBJ+
regression\stblptn0.OBJ+
regression\stblptn1.OBJ+
regression\stblsrt1.OBJ+
regression\stblsrt2.OBJ+
regression\stl_test.OBJ+
regression\swap1.OBJ+
regression\swprnge1.OBJ+
regression\times.OBJ+
regression\trnsfrm1.OBJ+
regression\trnsfrm2.OBJ+
regression\ucompos1.OBJ+
regression\ucompos2.OBJ+
regression\unegate1.OBJ+
regression\unegate2.OBJ+
regression\uniqcpy1.OBJ+
regression\uniqcpy2.OBJ+
regression\unique1.OBJ+
regression\unique2.OBJ+
regression\uprbnd1.OBJ+
regression\uprbnd2.OBJ+
regression\vec1.OBJ+
regression\vec2.OBJ+
regression\vec3.OBJ+
regression\vec4.OBJ+
regression\vec5.OBJ+
regression\vec6.OBJ+
regression\vec7.OBJ+
regression\accum1.OBJ
$$SCW$$.EXE
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB 
console.DEF;
<<
!ENDIF

		-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)




!IF EXIST (console.dpd)
!INCLUDE console.dpd
!ENDIF


